rte_flow_item_flex(3)

NAME
rte_flow_item_flex

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_item_flex_handle * handle
uint32_t length
const uint8_t * pattern

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ITEM_TYPE_FLEX

Matches a specified set of fields within the network protocol header. Each field is presented as set of bits with specified width, and bit offset from the header beginning.

The pattern is concatenation of bit fields configured at item creation by rte_flow_flex_item_create(). At configuration the fields are presented by sample_data array.

This type does not support ranges (struct rte_flow_item.last).

Definition at line 2150 of file rte_flow.h.

Field Documentation

  struct rte_flow_item_flex_handle* handle
Opaque item handle.

Definition at line 2151 of file rte_flow.h.

  uint32_t length
Pattern length in bytes.

Definition at line 2152 of file rte_flow.h.

  const uint8_t* pattern
Combined bitfields pattern to match.

Definition at line 2153 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.